# Uses of Enum Class
org.apache.lucene.document.DateTools.Resolution

Packages that use DateTools.Resolution
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of DateTools.Resolution in org.apache.lucene.document

  Methods in org.apache.lucene.document that return DateTools.Resolution
  Modifier and Type
  Method
  Description
  `static DateTools.Resolution`
  DateTools.Resolution.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DateTools.Resolution[]`
  DateTools.Resolution.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.document with parameters of type DateTools.Resolution
  Modifier and Type
  Method
  Description
  `static String`
  DateTools.`dateToString(Date date, DateTools.Resolution resolution)`
  Converts a Date to a string suitable for indexing.
  `static long`
  DateTools.`round(long time, DateTools.Resolution resolution)`
  Limit a date's resolution.
  `static Date`
  DateTools.`round(Date date, DateTools.Resolution resolution)`
  Limit a date's resolution.
  `static String`
  DateTools.`timeToString(long time, DateTools.Resolution resolution)`
  Converts a millisecond time to a string suitable for indexing.